Loading...
Searching...
No Matches
libdar5::crit_in_place_more_EA Class Reference

returns true if the first entry has more or even EA (in number not in size) than the second entry More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

Inherited by libdar::crit_in_place_EA_bigger.

## Public Member Functions

| crit_in_place_more_EA (const crit_in_place_more_EA &ref)=default
| crit_in_place_more_EA (crit_in_place_more_EA &&ref) noexcept=default
crit_in_place_more_EA & | operator= (const crit_in_place_more_EA &ref)=default
crit_in_place_more_EA & | operator= (crit_in_place_more_EA &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method

## Detailed Description

returns true if the first entry has more or even EA (in number not in size) than the second entry

if an entry is not an inode or has no EA it is assumed it has zero EA, the comparison is done on that number.

Definition at line 407 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_more_EA()

libdar::crit_in_place_more_EA::crit_in_place_more_EA | ( |  | ) |

inline

Definition at line 410 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_more_EA::clone | ( |  | ) | const

inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 418 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp